import { Document, model, Schema } from 'mongoose';

export interface ResolutionInterface extends Document {
  issuer: string;
  subject: string;
  body: string;
  at: number;
  oID: string;
  results: {
    yea: number;
    nay: number;
    present: number;
    absent: number;
  };
  msg: string;
}

const Resolution = new Schema({
  issuer: { type: String, required: true },
  subject: { type: String, required: true },
  body: { type: String, required: true },
  at: { type: Number, required: true },
  oID: { type: String, required: true, unique: true },
  results: {
    yea: Number,
    Nay: Number,
    present: Number,
    absent: Number,
  },
  msg: { type: String, required: true, unique: true },
});

export default model<ResolutionInterface>('Resolutions', Resolution);
