import { Document, Schema, model, Types } from 'mongoose';

export interface ScoreHistoricalRaw {
  userID: string,
  report: {
    total: number,
    activity: number,
    roles: number,
    moderation: number,
    cloudServices: number,
    staff: number,
    other: number,
  },
  // inquiries: [ Types.ObjectId ],
  inquiries: Types.ObjectId[],
  date: Date,
}

export interface ScoreHistoricalInterface extends Document {
  userID: string,
  report: {
    total: number,
    activity: number,
    roles: number,
    moderation: number,
    cloudServices: number,
    staff: number,
    other: number,
  },
  // inquiries: [ Types.ObjectId ],
  inquiries: Types.ObjectId[],
  date: Date
}

const ScoreHistorical: Schema = new Schema({
  userID: String,
  report: Object,
  inquiries: Array,
  date: Date,
});

export default model<ScoreHistoricalInterface>('ScoreHistorical', ScoreHistorical);
